Bug 1227972 - Review Request: SDL_mng - Library to load MNG files for SDL
Summary: Review Request: SDL_mng - Library to load MNG files for SDL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR 1079064
TreeView+ depends on / blocked
 
Reported: 2015-06-04 01:01 UTC by Dennis Payne
Modified: 2016-09-09 16:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-04 17:39:08 UTC
Type: ---
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description Dennis Payne 2015-06-04 01:01:17 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.2-3.fc22.src.rpm
Description: This is a simple library to load mng animations as SDL surfaces.
Fedora Account System Username:dulsi

This package is needed for btbuilder.

Comment 1 Jason Tibbitts 2015-08-08 06:23:15 UTC
First thing, I really recommend that you do a fedora-review run, as these days there's not a whole lot more I could say other than just pasting its output.  You should have fedora-packager installed, so you can just add yourself to the mock group and run fedora-review on your srpm or even this bug number.  Then fix what it suggests should be fixed.  

Issues:
======= 
Before I get into fedora-review stuff, it's worth noting a few things fedora-review doesn't mention (or can't really know):

It would be nice to add:
  URL: https://github.com/dulsi/SDL_mng
so folks know where this fork is from.  It's nice to make it really obvious that this is a fork.  Might even be worth a comment.

If you're going to maintain a fork, might as well fix those FSF addresses (though this isn't an issue for this review at all).

Nuke that %defattr from the %files section.

Don't own /usr/include/SDL.  Use %{_includedir}/SDL/* instead.

The -devel package needs a versioned and arch-specific dependency on the main package:
  Requires: %{name}%{?_isa} = %{version}-%{release}
See https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

I guess its worth asking if you really need to package the static library, since the guidelines really discourage it.

And here are the issues fedora-review points out:

- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: SDL_mng-devel. Does not provide -static:
  SDL_mng-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in SDL_mng
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

All of these appear to be valid and need fixing.  I think the package is good with those fixed.

Comment 2 Jason Tibbitts 2015-08-08 06:27:40 UTC
Oh, and You need to double '%' symbols in changelog entries, because macros are actually expanded there.  And don't end Summary: with a period; it isn't supposed to be a sentence.  rpmlint (and fedora-review) will tell you all of this.

Comment 3 Dennis Payne 2015-08-18 00:57:58 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.3-1.fc22.src.rpm

I discovered rpmlint after creating this bug. fedora-review I hadn't heard of. It complained about a mock group that I need to create. I figured I'd upload the fixes you mentioned first and play around with it later. This should fix everything you mentioned.

Comment 4 Christopher Meng 2015-08-18 03:24:07 UTC
1. Requires: SDL-devel%{?_isa} in -devel

2. It's better to put %post and %postun before %files, it's a common habit.

3. Drop all Group tags.

4. https://github.com/dulsi/SDL_mng/blob/master/README

You need to put your changes to ChangeLog or some other files.

5. Add BuildRequires of automake autoconf libtool, and regenerate configure scripts in %build by autoreconf -fiv.

6. %description devel
This is a simple library to load mng animations as SDL surfaces.

No, you should use these below for -devel packages:

This package contains libraries and header files for
developing applications that use %{name}.

7. You should create a pkg-config file for this, most of SDL packages in Fedora contain pkg-config file. But, again I said "should", you can add this in future release.

Comment 5 Dennis Payne 2015-09-24 02:42:25 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.4-1.fc22.src.rpm

(In reply to Christopher Meng from comment #4)
> 5. Add BuildRequires of automake autoconf libtool, and regenerate configure
> scripts in %build by autoreconf -fiv.

Not doing that one. Most other libraries do not seem to do that. I found a 2005 discussion where people didn't think that rebuilding the autoconf files was appropriate. If fedora is going to require this they need to update the package building guides to mention it.

Comment 6 Michael Schwendt 2015-09-24 10:19:42 UTC
The Packaging Guidelines are unlikely to require that ever. That is because it cannot be guaranteed that rebuilding autotools won't break anything "silently", such as succeeding at rebuilding the files but ending up with something that's broken under the hood (and no longer sets up the source code in a sane way). One can mess with the autotools template files quite a lot, with variables, with functions, and with include fragments (also in questionable ways) to run into incompatibilities over the years. There's an extra risk, if upstream has generated the files in unknown ways.

However, rebuilding the files is not forbidden. There are enough packages, which do rebuild them either with or without patching them. In other cases, the files are missing and need to be generated.

As a package maintainer, you need to figure out yourself whether rebuilding the files serves any purpose *and* works.

Comment 7 Dennis Payne 2015-09-24 11:52:21 UTC
I'm not going to risk rebuilding it then. It didn't build when I first tried to regenerate it to handle the pckconfig file. I don't want to have the package broken by a change in autoconf.

Comment 8 Dennis Payne 2015-10-29 02:24:45 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.4-2.fc22.src.rpm

Yeah that an embarrassing error. I didn't try to install apparently or I would have noticed the error.

Comment 9 Dennis Payne 2016-07-13 13:02:52 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.5-1.fc24.src.rpm

New version of SDL_mng. It now compiles with SDL2.

Comment 11 Ben Rosser 2016-08-26 21:34:19 UTC
Sorry this (and btbuilder) sat in the queue for so long. I noticed it when compiling the games tracker bug, and it looked easy enough to review... so here I am.

I have one general piece of packaging feedback that isn't actually a blocker: In the files list, you should be aware that using "%{_libdir}/lib*.so.*" is potentially risky.

In this case, it may be fine because you appear to be upstream for SDL_mng, but generally this is bad practice because it means that when you bump the soname (if you ever bump the soname), you won't notice when rebuilding the package, which means you may forget to e.g. mail the devel list when the soname is being bumped.

Anyway, you may already know that but I figured I'd bring it up.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
======

- You have an unused direct shlib dependency, according to rpmlint, on /usr/lib64/libSDL_mng.so.0.0.0 /lib64/libz.so.1. See the following for
ways you can fix this: https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

- The following rpmlint output is easy enough to fix (but hardly a review blocker). :)
	SDL_mng-devel.x86_64: W: summary-ended-with-dot C Libraries and includes for SDL MNG development.

If you fix the direct shlib dependency, I'll approve the package.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "GPL (v2 or
     later)", "Unknown or generated". 6 files have unknown license.
     Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1227972-SDL_mng/licensecheck.txt

Note for review purposes: this is fine, the non-LGPL files are scripts
that aren't compiled or installed.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in SDL_mng-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: SDL_mng-0.2.6-1.fc26.x86_64.rpm
          SDL_mng-devel-0.2.6-1.fc26.x86_64.rpm
          SDL_mng-debuginfo-0.2.6-1.fc26.x86_64.rpm
          SDL_mng-0.2.6-1.fc26.src.rpm
SDL_mng.x86_64: W: spelling-error %description -l en_US mng -> mg, mung, meg
SDL_mng-devel.x86_64: W: summary-ended-with-dot C Libraries and includes for SDL MNG development.
SDL_mng-devel.x86_64: W: only-non-binary-in-usr-lib
SDL_mng-devel.x86_64: W: no-documentation
SDL_mng.src: W: spelling-error %description -l en_US mng -> mg, mung, meg
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: SDL_mng-debuginfo-0.2.6-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
SDL_mng.x86_64: W: spelling-error %description -l en_US mng -> mg, mung, meg
SDL_mng.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libSDL_mng.so.0.0.0 /lib64/libz.so.1
SDL_mng-devel.x86_64: W: summary-ended-with-dot C Libraries and includes for SDL MNG development.
SDL_mng-devel.x86_64: W: only-non-binary-in-usr-lib
SDL_mng-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
SDL_mng (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

SDL_mng-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    SDL2-devel(x86-64)
    SDL_mng(x86-64)
    libSDL_mng.so.0()(64bit)
    pkgconfig

SDL_mng-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
SDL_mng:
    SDL_mng
    SDL_mng(x86-64)
    libSDL_mng.so.0()(64bit)

SDL_mng-devel:
    SDL_mng-devel
    SDL_mng-devel(x86-64)
    pkgconfig(SDL_mng)

SDL_mng-debuginfo:
    SDL_mng-debuginfo
    SDL_mng-debuginfo(x86-64)



Source checksums
----------------
http://www.identicalsoftware.com/btbuilder/SDL_mng-0.2.6.tgz :
  CHECKSUM(SHA256) this package     : daa79309b87ef67430406af176667b8c38aa7a819ec423c7a3dcb14a83b998a1
  CHECKSUM(SHA256) upstream package : daa79309b87ef67430406af176667b8c38aa7a819ec423c7a3dcb14a83b998a1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1227972
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 Dennis Payne 2016-08-27 01:27:12 UTC
Spec URL: https://raw.githubusercontent.com/dulsi/SDL_mng/master/SDL_mng.spec
SRPM URL: http://identicalsoftware.com/btbuilder/SDL_mng-0.2.6-2.fc24.src.rpm

Fixed the unused shlib dependency.

Comment 13 Ben Rosser 2016-08-27 02:16:44 UTC
Great, package is APPROVED!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "GPL (v2 or
     later)", "Unknown or generated". 6 files have unknown license.
     Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1227972-SDL_mng/licensecheck.txt

Note for review purposes: this is fine, the non-LGPL files are scripts
that aren't compiled or installed.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in SDL_mng-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: SDL_mng-0.2.6-2.fc26.x86_64.rpm
          SDL_mng-devel-0.2.6-2.fc26.x86_64.rpm
          SDL_mng-debuginfo-0.2.6-2.fc26.x86_64.rpm
          SDL_mng-0.2.6-2.fc26.src.rpm
SDL_mng.x86_64: W: spelling-error %description -l en_US mng -> mg, mung, meg
SDL_mng-devel.x86_64: W: only-non-binary-in-usr-lib
SDL_mng-devel.x86_64: W: no-documentation
SDL_mng.src: W: spelling-error %description -l en_US mng -> mg, mung, meg
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: SDL_mng-debuginfo-0.2.6-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
SDL_mng.x86_64: W: spelling-error %description -l en_US mng -> mg, mung, meg
SDL_mng-devel.x86_64: W: only-non-binary-in-usr-lib
SDL_mng-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
SDL_mng (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    rtld(GNU_HASH)

SDL_mng-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    SDL2-devel(x86-64)
    SDL_mng(x86-64)
    libSDL_mng.so.0()(64bit)
    pkgconfig

SDL_mng-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
SDL_mng:
    SDL_mng
    SDL_mng(x86-64)
    libSDL_mng.so.0()(64bit)

SDL_mng-devel:
    SDL_mng-devel
    SDL_mng-devel(x86-64)
    pkgconfig(SDL_mng)

SDL_mng-debuginfo:
    SDL_mng-debuginfo
    SDL_mng-debuginfo(x86-64)



Source checksums
----------------
http://www.identicalsoftware.com/btbuilder/SDL_mng-0.2.6.tgz :
  CHECKSUM(SHA256) this package     : daa79309b87ef67430406af176667b8c38aa7a819ec423c7a3dcb14a83b998a1
  CHECKSUM(SHA256) upstream package : daa79309b87ef67430406af176667b8c38aa7a819ec423c7a3dcb14a83b998a1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1227972
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Gwyn Ciesla 2016-08-29 12:28:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/SDL_mng

Comment 15 Fedora Update System 2016-08-30 11:37:28 UTC
SDL_mng-0.2.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed1426efc

Comment 16 Jason Tibbitts 2016-08-30 15:42:16 UTC
I just want to thank Ben for picking this up and getting it done.  I can't apologize enough for letting it sit around for so long.

Comment 17 Fedora Update System 2016-08-30 19:14:24 UTC
SDL_mng-0.2.6-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7739c903e9

Comment 18 Fedora Update System 2016-08-31 12:57:36 UTC
SDL_mng-0.2.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed1426efc

Comment 19 Fedora Update System 2016-08-31 16:23:35 UTC
SDL_mng-0.2.6-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7739c903e9

Comment 20 Fedora Update System 2016-09-04 17:39:05 UTC
SDL_mng-0.2.6-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-09-09 16:55:29 UTC
SDL_mng-0.2.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.